source "http://rubygems.org"

gem 'rails'
# Use PostgreSQL as the database for Active Record
gem 'pg', '~> 0.20'
#gem 'mysql2'


# Use jQuery as the JavaScript library
gem "jquery-rails"
gem 'jquery-ui-rails'
# Bootstrap
gem "font-awesome-rails"

# A modern responsive front-end framework based on Material Design
gem 'materialize-sass', '~> 1.0.0'
# Icons
gem 'material_icons'

# User authentication
gem "devise"

gem "omniauth-facebook"
gem "kaminari"
gem "ransack"
gem "dynamic_form"
gem 'carrierwave'

group :assets do
  gem 'sass-rails'
  gem "coffee-rails"
  gem "uglifier"
  gem 'bootstrap-sass'
end

group :test, :development do
  gem "rspec-rails"
  gem "pry"
  gem "awesome_print"
end

group :development do
  gem "chronic"
  gem "admin_view"
end

group :test do
  gem "factory_girl_rails"
  gem "cucumber-rails", :require => false
  gem "database_cleaner"
  gem "selenium-webdriver"
  gem "capybara"
  gem "shoulda"
  gem "email_spec"
end

group :production, :development do
  gem "thin"
end

group :production do
  gem 'rails_12factor'
end

gem 'rack-cors', :require => 'rack/cors'
